# white-space

Specifies how to handle white space characters for the element.

## Platform Support

IE | Netscape | Mozilla | Opera | Safari
--- | --- | --- | --- | ---
5.5+ | 4.0+ | 1.0+ | 9.0+ | 1.0+

- IE: IE only supports the "pre" value for white-space.
- Mozilla: Support for white-space is incomplete.
- Opera: Opera almost has full support for the white-space attribute.
- Safari: Support for white-space is incomplete.

## Values

normal | Collapse whitespace normally.
pre | Do not collapse whitespace.
nowrap | Collapse whitespace unless specified otherwise by an appropriate tag (e.g. br).
pre-wrap | Prevents user agents from collapsing sequences of whitespace.
pre-line | User agents should collapse sequences of whitespace.

## Example

For a demonstration of the white-space attribute for table columns, see the demo page on quirksmode:

http://www.quirksmode.org/css/whitespace.html

## Availability

W3C CSS2

## Related

- a
- a:active
- a:focus
- a:hover
- a:link
- a:visited
- b
- blockquote
- body
- code
- div
- em
- fieldset
- form
- h1
- h2
- h3
- h4
- h5
- h6
- hr
- i
- input
- label
- legend
- li
- ol
- optgroup
- option
- p
- pre
- small
- span
- strong
- table
- td
- textarea
- th
- tr
- ul

text_css aptana_docs